Bug 2092732 (CVE-2022-26700, WSA-2022-0005) - CVE-2022-26700 webkitgtk: Processing maliciously crafted web content may lead to code execution
Summary: CVE-2022-26700 webkitgtk: Processing maliciously crafted web content may lead...
Keywords:
Status: NEW
Alias: CVE-2022-26700, WSA-2022-0005
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2092748 2092749 2092741
Blocks: 2092738
TreeView+ depends on / blocked
 
Reported: 2022-06-02 07:15 UTC by TEJ RATHI
Modified: 2022-06-02 14:37 UTC (History)
4 users (show)

Fixed In Version: webkitgtk 2.36.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in webkitgtk. The vulnerability occurs due to improper input validation, leading to memory corruption. This flaw allows an attacker with network access to pass specially crafted web content files, causing an application to halt, crash, or arbitrary code execution.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description TEJ RATHI 2022-06-02 07:15:49 UTC
Processing maliciously crafted web content may lead to code execution. Description: A memory corruption issue was addressed with improved state management.

Versions affected: WebKitGTK and WPE WebKit before 2.36.3.

Comment 1 Sandipan Roy 2022-06-02 07:33:00 UTC
Created webkit2gtk3 tracking bugs for this issue:

Affects: fedora-all [bug 2092741]


Note You need to log in before you can comment on or make changes to this bug.